

set -ex




python -c "import mpi4py"
python -c "import mpi4py.MPI"
python -c "import mpi4py.futures"
python -c "from mpi4py import MPI; print(MPI.get_vendor())"
python -c "from mpi4py import MPI; print(MPI.Get_library_version())"
mpiexec -n 2 python -m mpi4py.bench helloworld
mpiexec -n 2 python -m mpi4py.bench ringtest
exit 0
